diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/ipv6-list-routing-test-suite.cc ns-3.42/src/internet/test/ipv6-list-routing-test-suite.cc
--- ns-3.41/src/internet/test/ipv6-list-routing-test-suite.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/ipv6-list-routing-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
@@ -238,10 +238,10 @@
 {
   public:
     Ipv6ListRoutingTestSuite()
-        : TestSuite("ipv6-list-routing", UNIT)
+        : TestSuite("ipv6-list-routing", Type::UNIT)
     {
-        AddTestCase(new Ipv6ListRoutingPositiveTestCase(), TestCase::QUICK);
-        AddTestCase(new Ipv6ListRoutingNegativeTestCase(), TestCase::QUICK);
+        AddTestCase(new Ipv6ListRoutingPositiveTestCase(), TestCase::Duration::QUICK);
+        AddTestCase(new Ipv6ListRoutingNegativeTestCase(), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/ipv6-packet-info-tag-test-suite.cc ns-3.42/src/internet/test/ipv6-packet-info-tag-test-suite.cc
--- ns-3.41/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/ipv6-packet-info-tag-test-suite.cc	2024-05-29 15:29:46.972073300 -0700
@@ -256,9 +256,9 @@
 };
 
 Ipv6PacketInfoTagTestSuite::Ipv6PacketInfoTagTestSuite()
-    : TestSuite("ipv6-packet-info-tag", UNIT)
+    : TestSuite("ipv6-packet-info-tag", Type::UNIT)
 {
-    AddTestCase(new Ipv6PacketInfoTagTest(), TestCase::QUICK);
+    AddTestCase(new Ipv6PacketInfoTagTest(), TestCase::Duration::QUICK);
 }
 
 static Ipv6PacketInfoTagTestSuite g_packetinfotagTests; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/ipv6-raw-test.cc ns-3.42/src/internet/test/ipv6-raw-test.cc
--- ns-3.41/src/internet/test/ipv6-raw-test.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/ipv6-raw-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -330,9 +330,9 @@
 {
   public:
     Ipv6RawTestSuite()
-        : TestSuite("ipv6-raw", UNIT)
+        : TestSuite("ipv6-raw", Type::UNIT)
     {
-        AddTestCase(new Ipv6RawSocketImplTest, TestCase::QUICK);
+        AddTestCase(new Ipv6RawSocketImplTest, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/ipv6-ripng-test.cc ns-3.42/src/internet/test/ipv6-ripng-test.cc
--- ns-3.41/src/internet/test/ipv6-ripng-test.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/ipv6-ripng-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -702,14 +702,16 @@
 {
   public:
     Ipv6RipngTestSuite()
-        : TestSuite("ipv6-ripng", UNIT)
+        : TestSuite("ipv6-ripng", Type::UNIT)
     {
-        AddTestCase(new Ipv6RipngTest, TestCase::QUICK);
-        AddTestCase(new Ipv6RipngCountToInfinityTest, TestCase::QUICK);
-        AddTestCase(new Ipv6RipngSplitHorizonStrategyTest(RipNg::POISON_REVERSE), TestCase::QUICK);
-        AddTestCase(new Ipv6RipngSplitHorizonStrategyTest(RipNg::SPLIT_HORIZON), TestCase::QUICK);
+        AddTestCase(new Ipv6RipngTest, TestCase::Duration::QUICK);
+        AddTestCase(new Ipv6RipngCountToInfinityTest, TestCase::Duration::QUICK);
+        AddTestCase(new Ipv6RipngSplitHorizonStrategyTest(RipNg::POISON_REVERSE),
+                    TestCase::Duration::QUICK);
+        AddTestCase(new Ipv6RipngSplitHorizonStrategyTest(RipNg::SPLIT_HORIZON),
+                    TestCase::Duration::QUICK);
         AddTestCase(new Ipv6RipngSplitHorizonStrategyTest(RipNg::NO_SPLIT_HORIZON),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/ipv6-test.cc ns-3.42/src/internet/test/ipv6-test.cc
--- ns-3.41/src/internet/test/ipv6-test.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/ipv6-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -186,9 +186,9 @@
 {
   public:
     IPv6L3ProtocolTestSuite()
-        : TestSuite("ipv6-protocol", UNIT)
+        : TestSuite("ipv6-protocol", Type::UNIT)
     {
-        AddTestCase(new Ipv6L3ProtocolTestCase(), TestCase::QUICK);
+        AddTestCase(new Ipv6L3ProtocolTestCase(), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/neighbor-cache-test.cc ns-3.42/src/internet/test/neighbor-cache-test.cc
--- ns-3.41/src/internet/test/neighbor-cache-test.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/neighbor-cache-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -1230,15 +1230,15 @@
 {
   public:
     NeighborCacheTestSuite()
-        : TestSuite("neighbor-cache", UNIT)
+        : TestSuite("neighbor-cache", Type::UNIT)
     {
-        AddTestCase(new DynamicNeighborCacheTest, TestCase::QUICK);
-        AddTestCase(new ChannelTest, TestCase::QUICK);
-        AddTestCase(new NetDeviceContainerTest, TestCase::QUICK);
-        AddTestCase(new InterfaceContainerTest, TestCase::QUICK);
-        AddTestCase(new FlushTest, TestCase::QUICK);
-        AddTestCase(new DuplicateTest, TestCase::QUICK);
-        AddTestCase(new DynamicPartialTest, TestCase::QUICK);
+        AddTestCase(new DynamicNeighborCacheTest, TestCase::Duration::QUICK);
+        AddTestCase(new ChannelTest, TestCase::Duration::QUICK);
+        AddTestCase(new NetDeviceContainerTest, TestCase::Duration::QUICK);
+        AddTestCase(new InterfaceContainerTest, TestCase::Duration::QUICK);
+        AddTestCase(new FlushTest, TestCase::Duration::QUICK);
+        AddTestCase(new DuplicateTest, TestCase::Duration::QUICK);
+        AddTestCase(new DynamicPartialTest, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/rtt-test.cc ns-3.42/src/internet/test/rtt-test.cc
--- ns-3.41/src/internet/test/rtt-test.cc	2024-02-09 14:44:07.945790300 -0800
+++ ns-3.42/src/internet/test/rtt-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -187,9 +187,9 @@
 {
   public:
     RttEstimatorTestSuite()
-        : TestSuite("rtt-estimator", UNIT)
+        : TestSuite("rtt-estimator", Type::UNIT)
     {
-        AddTestCase(new RttEstimatorTestCase, TestCase::QUICK);
+        AddTestCase(new RttEstimatorTestCase, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-advertised-window-test.cc ns-3.42/src/internet/test/tcp-advertised-window-test.cc
--- ns-3.41/src/internet/test/tcp-advertised-window-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-advertised-window-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -28,7 +28,7 @@
 NS_LOG_COMPONENT_DEFINE("TcpAdvertisedWindowTestSuite");
 
 /**
- * \ingroup internet-tests
+ * \ingroup internet-test
  * \ingroup tests
  * \brief Socket that wraps every call to AdvertisedWindowSize ().
  */
@@ -206,8 +206,8 @@
 NS_OBJECT_ENSURE_REGISTERED(TcpSocketAdvertisedWindowProxy);
 
 /**
- * \ingroup internet-tests
- * \ingroup test
+ * \ingroup internet-test
+ * \ingroup tests
  *
  * \brief An error model that randomly drops a given rátio of TCP segments.
  */
@@ -260,8 +260,8 @@
 }
 
 /**
- * \ingroup internet-tests
- * \ingroup test
+ * \ingroup internet-test
+ * \ingroup tests
  * \brief Test the new formula for calculating TCP's advertised window size.
  *
  * In TcpSocketBase, the advertised window is now calculated as
@@ -363,8 +363,8 @@
 //-----------------------------------------------------------------------------
 
 /**
- * \ingroup internet-tests
- * \ingroup test
+ * \ingroup internet-test
+ * \ingroup tests
  * \brief Test the TCP's advertised window size when there is a loss of specific packets.
  */
 class TcpAdvWindowOnLossTest : public TcpGeneralTest
@@ -464,8 +464,8 @@
 //-----------------------------------------------------------------------------
 
 /**
- * \ingroup internet-tests
- * \ingroup test
+ * \ingroup internet-test
+ * \ingroup tests
  *
  * \brief Test Suite for TCP adv window
  */
@@ -473,39 +473,39 @@
 {
   public:
     TcpAdvertisedWindowTestSuite()
-        : TestSuite("tcp-advertised-window-test", UNIT)
+        : TestSuite("tcp-advertised-window-test", Type::UNIT)
     {
         AddTestCase(new TcpAdvertisedWindowTest("TCP advertised window size, small seg + no loss",
                                                 500,
                                                 100,
                                                 0.0),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpAdvertisedWindowTest("TCP advertised window size, small seg + loss",
                                                 500,
                                                 100,
                                                 0.1),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpAdvertisedWindowTest("TCP advertised window size, large seg + no loss",
                                                 1000,
                                                 100,
                                                 0.0),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpAdvertisedWindowTest("TCP advertised window size, large seg + small loss",
                                         1000,
                                         100,
                                         0.1),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new TcpAdvertisedWindowTest("TCP advertised window size, large seg + big loss",
                                                 1000,
                                                 100,
                                                 0.3),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpAdvertisedWindowTest("TCP advertised window size, complete loss",
                                                 1000,
                                                 100,
                                                 1.0),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         std::vector<uint32_t> toDrop;
         toDrop.push_back(8001);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-bbr-test.cc ns-3.42/src/internet/test/tcp-bbr-test.cc
--- ns-3.41/src/internet/test/tcp-bbr-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-bbr-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -192,40 +192,40 @@
      * \brief constructor
      */
     TcpBbrTestSuite()
-        : TestSuite("tcp-bbr-test", UNIT)
+        : TestSuite("tcp-bbr-test", Type::UNIT)
     {
         AddTestCase(new TcpBbrPacingEnableTest(true, "BBR must keep pacing feature on"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(new TcpBbrPacingEnableTest(false, "BBR must turn on pacing feature"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpBbrCheckGainValuesTest(
                 TcpBbr::BBR_STARTUP,
                 4,
                 "BBR should enter to STARTUP phase and set cwnd and pacing gain accordingly"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(new TcpBbrCheckGainValuesTest(
                         TcpBbr::BBR_DRAIN,
                         4,
                         "BBR should enter to DRAIN phase and set cwnd and pacing gain accordingly"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpBbrCheckGainValuesTest(
                 TcpBbr::BBR_PROBE_BW,
                 4,
                 "BBR should enter to BBR_PROBE_BW phase and set cwnd and pacing gain accordingly"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpBbrCheckGainValuesTest(
                 TcpBbr::BBR_PROBE_RTT,
                 4,
                 "BBR should enter to BBR_PROBE_RTT phase and set cwnd and pacing gain accordingly"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-bic-test.cc ns-3.42/src/internet/test/tcp-bic-test.cc
--- ns-3.41/src/internet/test/tcp-bic-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-bic-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -310,7 +310,7 @@
 {
   public:
     TcpBicTestSuite()
-        : TestSuite("tcp-bic-test", UNIT)
+        : TestSuite("tcp-bic-test", Type::UNIT)
     {
         AddTestCase(
             new TcpBicIncrementTest(10 * 536,
@@ -319,7 +319,7 @@
                                     11,
                                     0,
                                     "Bic increment test: under lowCwnd & enough ACKs received"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new TcpBicIncrementTest(
                         10 * 536,
                         536,
@@ -327,7 +327,7 @@
                         8,
                         0,
                         "Bic increment test: under lowCwnd but not enough ACKs received"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpBicIncrementTest(
                         18 * 1446,
                         1446,
@@ -335,7 +335,7 @@
                         5,
                         90,
                         "Bic increment test: linear increase when distance exceeds S_max"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpBicIncrementTest(18 * 1446,
                                     1446,
@@ -343,21 +343,21 @@
                                     24,
                                     20,
                                     "Bic increment test: binary search increase with smooth part"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new TcpBicIncrementTest(19 * 1,
                                             1,
                                             17 * 1,
                                             2,
                                             83,
                                             "Bic increment test: binary search increase"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpBicIncrementTest(15 * 536,
                                             536,
                                             9 * 536,
                                             19,
                                             13,
                                             "Bic increment test: slow start AMD linear increase"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpBicIncrementTest(22 * 1000,
                                     1000,
@@ -365,15 +365,15 @@
                                     9,
                                     16,
                                     "Bic increment test: slow start but not enough ACKs received"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new TcpBicIncrementTest(
                         65 * 1000,
                         1000,
                         9 * 1000,
                         2,
                         16,
-                        "Bic increment test: linear incrase but not enough ACKs received"),
-                    TestCase::QUICK);
+                        "Bic increment test: linear increase but not enough ACKs received"),
+                    TestCase::Duration::QUICK);
 
         AddTestCase(new TcpBicDecrementTest(
                         5 * 1446,
@@ -381,14 +381,14 @@
                         true,
                         10,
                         "Bic decrement test: fast convergence & cwnd less than lowWindow"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpBicDecrementTest(
                         5 * 1446,
                         1446,
                         false,
                         10,
                         "Bic decrement test: not in fast convergence & cwnd less than lowWindow"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpBicDecrementTest(
                 15 * 1446,
@@ -396,7 +396,7 @@
                 false,
                 10,
                 "Bic decrement test: not in fast convergence & cwnd greater than lowWindow"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-bytes-in-flight-test.cc ns-3.42/src/internet/test/tcp-bytes-in-flight-test.cc
--- ns-3.41/src/internet/test/tcp-bytes-in-flight-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-bytes-in-flight-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -289,24 +289,24 @@
 {
   public:
     TcpBytesInFlightTestSuite()
-        : TestSuite("tcp-bytes-in-flight-test", UNIT)
+        : TestSuite("tcp-bytes-in-flight-test", Type::UNIT)
     {
         std::vector<uint32_t> toDrop;
         AddTestCase(new TcpBytesInFlightTest("BytesInFlight value, no drop", toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         toDrop.push_back(4001);
         AddTestCase(new TcpBytesInFlightTest("BytesInFlight value, one drop", toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         toDrop.push_back(4001);
         AddTestCase(
             new TcpBytesInFlightTest("BytesInFlight value, two drop of same segment", toDrop),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         toDrop.pop_back();
         toDrop.push_back(4501);
         AddTestCase(
             new TcpBytesInFlightTest("BytesInFlight value, two drop of consecutive segments",
                                      toDrop),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-classic-recovery-test.cc ns-3.42/src/internet/test/tcp-classic-recovery-test.cc
--- ns-3.41/src/internet/test/tcp-classic-recovery-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-classic-recovery-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -126,44 +126,44 @@
 {
   public:
     ClassicRecoveryTestSuite()
-        : TestSuite("tcp-classic-recovery-test", UNIT)
+        : TestSuite("tcp-classic-recovery-test", Type::UNIT)
     {
         AddTestCase(new ClassicRecoveryTest(3000,
                                             500,
                                             2500,
                                             3,
                                             "Classic recovery test with 500 bytes segmentSize"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new ClassicRecoveryTest(3000,
                                             1000,
                                             2500,
                                             3,
                                             "Classic recovery test with 1000 bytes segmentSize"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new ClassicRecoveryTest(3000,
                                             500,
                                             2500,
                                             4,
                                             "Classic recovery test with 4 DupAck threshold"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new ClassicRecoveryTest(3000,
                                             500,
                                             1000,
                                             3,
                                             "Classic recovery test with 1000 bytes ssThresh"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new ClassicRecoveryTest(2500,
                                             500,
                                             2500,
                                             3,
                                             "Classic recovery test with same cWnd and ssThresh"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new ClassicRecoveryTest(1000,
                                             500,
                                             2500,
                                             3,
                                             "Classic recovery test with cWnd lesser than ssThresh"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-close-test.cc ns-3.42/src/internet/test/tcp-close-test.cc
--- ns-3.41/src/internet/test/tcp-close-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-close-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -159,10 +159,10 @@
 {
   public:
     TcpTcpCloseTestSuite()
-        : TestSuite("tcp-close", UNIT)
+        : TestSuite("tcp-close", Type::UNIT)
     {
-        AddTestCase(new TcpCloseWithLossTestCase(true), TestCase::QUICK);
-        AddTestCase(new TcpCloseWithLossTestCase(false), TestCase::QUICK);
+        AddTestCase(new TcpCloseWithLossTestCase(true), TestCase::Duration::QUICK);
+        AddTestCase(new TcpCloseWithLossTestCase(false), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-cong-avoid-test.cc ns-3.42/src/internet/test/tcp-cong-avoid-test.cc
--- ns-3.41/src/internet/test/tcp-cong-avoid-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-cong-avoid-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -132,7 +132,7 @@
         return;
     }
 
-    if (!m_event.IsRunning())
+    if (!m_event.IsPending())
     {
         m_event = Simulator::Schedule(Seconds(1.0), &TcpNewRenoCongAvoidNormalTest::Check, this);
     }
@@ -187,7 +187,7 @@
 {
   public:
     TcpRenoCongAvoidTestSuite()
-        : TestSuite("tcp-cong-avoid-test", UNIT)
+        : TestSuite("tcp-cong-avoid-test", Type::UNIT)
     {
         std::list<TypeId> types = {
             TcpNewReno::GetTypeId(),
@@ -205,14 +205,14 @@
                                                               t,
                                                               "cong avoid MSS=500, pkt_size=500," +
                                                                   typeName),
-                            TestCase::QUICK);
+                            TestCase::Duration::QUICK);
                 AddTestCase(new TcpNewRenoCongAvoidNormalTest(500,
                                                               1000,
                                                               i,
                                                               t,
                                                               "cong avoid MSS=500, pkt_size=1000," +
                                                                   typeName),
-                            TestCase::QUICK);
+                            TestCase::Duration::QUICK);
             }
         }
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-datasentcb-test.cc ns-3.42/src/internet/test/tcp-datasentcb-test.cc
--- ns-3.41/src/internet/test/tcp-datasentcb-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-datasentcb-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -169,18 +169,18 @@
 {
   public:
     TcpDataSentCbTestSuite()
-        : TestSuite("tcp-datasentcb", UNIT)
+        : TestSuite("tcp-datasentcb", Type::UNIT)
     {
         AddTestCase(new TcpDataSentCbTestCase("Check the data sent callback", 500, 10),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDataSentCbTestCase("Check the data sent callback", 100, 100),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDataSentCbTestCase("Check the data sent callback", 1000, 50),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDataSentCbTestCase("Check the data sent callback", 855, 18),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDataSentCbTestCase("Check the data sent callback", 1243, 59),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-dctcp-test.cc ns-3.42/src/internet/test/tcp-dctcp-test.cc
--- ns-3.41/src/internet/test/tcp-dctcp-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-dctcp-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -659,7 +659,7 @@
 {
   public:
     TcpDctcpTestSuite()
-        : TestSuite("tcp-dctcp-test", UNIT)
+        : TestSuite("tcp-dctcp-test", Type::UNIT)
     {
         AddTestCase(new TcpDctcpToLinuxReno(2 * 1446,
                                             1446,
@@ -669,20 +669,20 @@
                                             SequenceNumber32(3216),
                                             MilliSeconds(100),
                                             "DCTCP falls to New Reno for slowstart"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDctcpCodePointsTest(1,
                                                "ECT Test : Check if ECT is set on Syn, Syn+Ack, "
                                                "Ack and Data packets for DCTCP packets"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDctcpCodePointsTest(
                         2,
                         "ECT Test : Check if ECT is not set on Syn, Syn+Ack and Ack but set on "
                         "Data packets for non-DCTCP but ECN enabled traffic"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpDctcpCodePointsTest(3,
                                                "ECE Functionality Test: ECE should only be sent by "
                                                "receiver when it receives CE flags"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-ecn-test.cc ns-3.42/src/internet/test/tcp-ecn-test.cc
--- ns-3.41/src/internet/test/tcp-ecn-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-ecn-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -195,11 +195,8 @@
     if (GetIpTos())
     {
         SocketIpTosTag ipTosTag;
-        if (m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3))
-        {
-            ipTosTag.SetTos(MarkEcnCe(GetIpTos()));
-        }
-        else if (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5))
+        if ((m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3)) ||
+            (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5)))
         {
             ipTosTag.SetTos(MarkEcnCe(GetIpTos()));
         }
@@ -219,11 +216,8 @@
     else
     {
         SocketIpTosTag ipTosTag;
-        if (m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3))
-        {
-            ipTosTag.SetTos(MarkEcnCe(GetIpTos()));
-        }
-        else if (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5))
+        if ((m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3)) ||
+            (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5)))
         {
             ipTosTag.SetTos(MarkEcnCe(GetIpTos()));
         }
@@ -240,11 +234,8 @@
     if (IsManualIpv6Tclass())
     {
         SocketIpv6TclassTag ipTclassTag;
-        if (m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3))
-        {
-            ipTclassTag.SetTclass(MarkEcnCe(GetIpv6Tclass()));
-        }
-        else if (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5))
+        if ((m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3)) ||
+            (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5)))
         {
             ipTclassTag.SetTclass(MarkEcnCe(GetIpv6Tclass()));
         }
@@ -264,11 +255,8 @@
     else
     {
         SocketIpv6TclassTag ipTclassTag;
-        if (m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3))
-        {
-            ipTclassTag.SetTclass(MarkEcnCe(GetIpv6Tclass()));
-        }
-        else if (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5))
+        if ((m_testcase == 5 && (m_dataPacketSent == 1 || m_dataPacketSent == 3)) ||
+            (m_testcase == 6 && (m_dataPacketSent == 4 || m_dataPacketSent == 5)))
         {
             ipTclassTag.SetTclass(MarkEcnCe(GetIpv6Tclass()));
         }
@@ -585,33 +573,33 @@
 {
   public:
     TcpEcnTestSuite()
-        : TestSuite("tcp-ecn-test", UNIT)
+        : TestSuite("tcp-ecn-test", Type::UNIT)
     {
         AddTestCase(new TcpEcnTest(
                         1,
                         "ECN Negotiation Test : ECN incapable sender and ECN incapable receiver"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpEcnTest(2,
                            "ECN Negotiation Test : ECN capable sender and ECN incapable receiver"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new TcpEcnTest(3,
                            "ECN Negotiation Test : ECN incapable sender and ECN capable receiver"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new TcpEcnTest(4, "ECN Negotiation Test : ECN capable sender and ECN capable receiver"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new TcpEcnTest(
                 5,
                 "ECE and CWR Functionality Test: ECN capable sender and ECN capable receiver"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new TcpEcnTest(
                 6,
                 "Congestion Window Reduction Test :ECN capable sender and ECN capable receiver"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
     }
 };
 
